Bug 1408675 - drupal8 fails to install
Summary: drupal8 fails to install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal8
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-26 10:43 UTC by wfay
Modified: 2017-01-10 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 16:39:11 UTC
Type: Bug


Attachments (Terms of Use)

Description wfay 2016-12-26 10:43:36 UTC
Description of problem:
PHP Fatal error:  require_once(): Failed opening required '/usr/share/php/Asm89/Stack/autoload-cors.php' (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/drupal8/autoload.php on line 21

Seems that when the package is loaded by DNF it doesn't include everything needed to install the package.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 wfay 2016-12-26 11:09:28 UTC
installing php-asm89-stack-cors-1.0.0-1.fc25.noarch.rpm fixes the problem.

Comment 2 Fedora Update System 2016-12-26 14:34:46 UTC
drupal8-8.2.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d6502dc77

Comment 3 Fedora Update System 2016-12-26 14:34:53 UTC
drupal8-8.2.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-93c3630944

Comment 4 Shawn Iwinski 2016-12-26 14:36:42 UTC
THANKS for the report.  I have added the missing `php-composer(asm89/stack-cors)` (virtual provide for package `php-asm89-stack-cors`) dependency.

Comment 5 Fedora Update System 2016-12-27 06:18:14 UTC
drupal8-8.2.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-93c3630944

Comment 6 Fedora Update System 2016-12-27 06:20:40 UTC
drupal8-8.2.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d6502dc77

Comment 7 Fedora Update System 2017-01-03 20:22:51 UTC
drupal8-8.2.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-03 21:25:00 UTC
drupal8-8.2.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.